# Pages: get

**Important**:
We will discontinue support for the v2.0 JSON API on September 30th, 2024.
To ensure continued functionality, update your applications that rely on the v2.0 JSON API
to the latest API version. For the latest version, use the links in the left-side navbar.

Retrieves one Pages Resource by its pageId.
[Try it now](https://developers.google.com/blogger/docs/2.0/json/reference/pages/get#try-it).

Authentication is required if the page is on a blog that is private. If the page is on a blog that is public, then this method can be called without authentication.

## Request

### HTTP Request

```
GET https://www.googleapis.com/blogger/v2/blogs/blogId/pages/pageId
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `blogId` | `string` | ID of the blog containing the page. |
| `pageId` | `string` | The ID of the page to get. |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Pages resource](https://developers.google.com/blogger/docs/2.0/json/reference/pages#resource) in the response body.

## Try It!


Use the explorer below to call this method on live data and see the response.